## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanDestroyFunctor< Type > Struct Template Reference

List of all members.

## Public Member Functions

- void operator() (Type &theArg)
- void operator() (Type *theArg)
- void operator() (const Type *theArg)
- void operator() (Type *theArg, MemoryManagerType &theMemoryManager)
- void operator() (const Type *theArg, MemoryManagerType &theMemoryManager)

### template<class Type>
struct XalanDestroyFunctor< Type >

## Member Function Documentation

template<class Type>
void XalanDestroyFunctor< Type >::operator() | ( | const Type * | theArg,
|  | MemoryManagerType & | theMemoryManager
| ) |

template<class Type>
void XalanDestroyFunctor< Type >::operator() | ( | Type * | theArg,
|  | MemoryManagerType & | theMemoryManager
| ) |

template<class Type>
void XalanDestroyFunctor< Type >::operator() | ( | const Type * | theArg | ) |

template<class Type>
void XalanDestroyFunctor< Type >::operator() | ( | Type * | theArg | ) |

template<class Type>
void XalanDestroyFunctor< Type >::operator() | ( | Type & | theArg | ) |

The documentation for this struct was generated from the following file:

- STLHelper.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.